gnutls_x509_crt_get_authority_key_gn_serial(3)

NAME
gnutls_x509_crt_get_authority_key_gn_serial - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_authority_key_gn_serial(gnutls_x509_crt_t cert, unsigned int seq, void * alt, size_t * alt_size, unsigned int * alt_type, void * serial, size_t * serial_size, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

unsigned int seq
    specifies the sequence number of the alt name (0 for the first one, 1 for the second etc.)

void * alt
    is the place where the alternative name will be copied to

size_t * alt_size
    holds the size of alt.

unsigned int * alt_type
    holds the type of the alternative name (one of gnutls_x509_subject_alt_name_t).

void * serial
    buffer to store the serial number (may be null)

size_t * serial_size
    Holds the size of the serial field (may be null)

unsigned int * critical
    will be non-zero if the extension is marked as critical (may be null)

DESCRIPTION
This function will return the X.509 authority key identifier when stored as a general name (authorityCertIssuer) and serial number. Because more than one general names might be stored
 seq can be used as a counter to request them all until GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the extension is not present, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/